//+------------------------------------------------------------------+
//|                                                _simpleMA_dmy.mq4 |
//|                                                          TSferro |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "TSferro"
#property link      ""
#property version   "1.00"
#property strict


#define SIGNAL_NONE 0
#define SIGNAL_BUY   1
#define SIGNAL_SELL  2
#define SIGNAL_CLOSEBUY 3
#define SIGNAL_CLOSESELL 4


//--- input parameters
extern int       MAper=150;
extern int       BBper=20;
extern double    BBsds=2.0;
extern double    StpPct=0.015;
extern double    Lots = 1.0;
extern int       Slippage = 3;
extern int       MagicNumber = 10101;

int P = 1;
int Order = SIGNAL_NONE;
int Total, Ticket, Ticket2;
double StopLossLevel, TakeProfitLevel, StopLevel;

double LatestClose = iClose(NULL,0,1);
double PriorClose = iClose(NULL,0,2);

bool MAxCrossUp = False;
bool MAxCrossDn = False;


//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
//---

//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---
   
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
//---

double MyMA = iMA(NULL,0,MAper,0, MODE_SMA, PRICE_CLOSE,1);   
MAxCrossUp = LatestClose > iMA(NULL,0,MAper,0, MODE_SMA, PRICE_CLOSE,1) && PriorClose < iMA(NULL,0,MAper,0, MODE_SMA, PRICE_CLOSE,2);
MAxCrossDn = LatestClose < iMA(NULL,0,MAper,0, MODE_SMA, PRICE_CLOSE,1) && PriorClose > iMA(NULL,0,MAper,0, MODE_SMA, PRICE_CLOSE,2);


//+------------------------------------------------------------------+
//| EXIT LOGIC                                        |
//+------------------------------------------------------------------+

//Here is where I am trying to identify if I already have a posiiton open.......


if(MAxCrossUp) Order = SIGNAL_CLOSEBUY; // Rule to EXIT a Long trade
if (SIGNAL_CLOSEBUY) OrderClose(OrderTicket(), OrderLots(), Bid, Slippage, DarkOrange);

//+------------------------------------------------------------------+

if (MAxCrossDn) Order = SIGNAL_CLOSESELL; // Rule to EXIT a Short trade
if (SIGNAL_CLOSESELL) OrderClose(OrderTicket(), OrderLots(), Ask, Slippage, DarkOrange);
  
//+------------------------------------------------------------------+
//| ENTRY LOGIC                                        |
//+------------------------------------------------------------------+
  

if (LatestClose < PriorClose && LatestClose < MyMA) Order = SIGNAL_BUY;
if (LatestClose > PriorClose && LatestClose > MyMA) Order = SIGNAL_SELL;

if (SIGNAL_BUY) OrderSend(Symbol(),OP_BUY,Lots,Ask,Slippage,0,0,"Buy",MagicNumber,0,DodgerBlue);
if (SIGNAL_SELL) OrderSend(Symbol(),OP_SELL,Lots,Bid,Slippage,0,0,"Short",MagicNumber,0,DodgerBlue);

  }
//+------------------------------------------------------------------+
